Gtk_Plug(3)

NAME - Gtk_Plug

HEADER REQUIRED
#include <gtk--/plug.h&gt;>

BASE CLASSES
Gtk_Window(3)

PROPERTIES

socket_window
    Type: GdkWindow*

same_app
    Type: gint

     .IP

PUBLIC MEMBER INDEX
    Gtk_Plug(guint32 socket_id);
    Gtk_Plug(GtkPlug *castitem);
    GtkPlug*  gtkobj();
    const GtkPlug*  gtkobj() const;
    static bool  isGtkPlug(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkPlug  BaseObjectType;
    typedef GtkPlugClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  plug_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS